Package org.apache.nutch.service.impl

## Class NutchServerPoolExecutor

- java.lang.Object
- - java.util.concurrent.AbstractExecutorService
  - - java.util.concurrent.ThreadPoolExecutor
    - - org.apache.nutch.service.impl.NutchServerPoolExecutor

- All Implemented Interfaces:
    `Executor`, `ExecutorService`

      public class NutchServerPoolExecutor
      extends ThreadPoolExecutor

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.concurrent.ThreadPoolExecutor

      `ThreadPoolExecutor.AbortPolicy, ThreadPoolExecutor.CallerRunsPolicy, ThreadPoolExecutor.DiscardOldestPolicy, ThreadPoolExecutor.DiscardPolicy`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NutchServerPoolExecutor​(int corePoolSize, int maxPoolSize, long keepAliveTime, TimeUnit unit, BlockingQueue<Runnable> workQueue)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `afterExecute​(Runnable runnable, Throwable throwable)` |
    `protected void` | `beforeExecute​(Thread thread, Runnable runnable)` |
    `JobWorker` | `findWorker​(String jobId)` | Find the Job Worker Thread.
    `Collection<JobInfo>` | `getAllJobs()` | get all jobs (currently running and completed)
    `JobInfo` | `getInfo​(String jobId)` |
    `Collection<JobInfo>` | `getJobHistory()` | Get the Job history
    `Collection<JobInfo>` | `getJobRunning()` | Get the list of currently running jobs

    - ### Methods inherited from class java.util.concurrent.ThreadPoolExecutor

      `allowCoreThreadTimeOut, allowsCoreThreadTimeOut, awaitTermination, execute, finalize, getActiveCount, getCompletedTaskCount, getCorePoolSize, getKeepAliveTime, getLargestPoolSize, getMaximumPoolSize, getPoolSize, getQueue, getRejectedExecutionHandler, getTaskCount, getThreadFactory, isShutdown, isTerminated, isTerminating, prestartAllCoreThreads, prestartCoreThread, purge, remove, setCorePoolSize, setKeepAliveTime, setMaximumPoolSize, setRejectedExecutionHandler, setThreadFactory, shutdown, shutdownNow, terminated, toString`

    - ### Methods inherited from class java.util.concurrent.AbstractExecutorService

      `invokeAll, invokeAll, invokeAny, invokeAny, newTaskFor, newTaskFor, submit, submit, submit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NutchServerPoolExecutor

          public NutchServerPoolExecutor​(int corePoolSize,
                                         int maxPoolSize,
                                         long keepAliveTime,
                                         TimeUnit unit,
                                         BlockingQueue<Runnable> workQueue)

  - ### Method Detail

    - #### beforeExecute

          protected void beforeExecute​(Thread thread,
                                       Runnable runnable)

      Overrides:
        `beforeExecute` in class `ThreadPoolExecutor`

    - #### afterExecute

          protected void afterExecute​(Runnable runnable,
                                      Throwable throwable)

      Overrides:
        `afterExecute` in class `ThreadPoolExecutor`

    - #### findWorker

          public JobWorker findWorker​(String jobId)

      Find the Job Worker Thread.
      Parameters:
        `jobId` - a jobId allows locating a specific worker thread
      Returns:
        a `JobWorker` or else null

    - #### getJobHistory

          public Collection<JobInfo> getJobHistory()

      Get the Job history
      Returns:
        a `Collection` of `JobInfo`'s

    - #### getJobRunning

          public Collection<JobInfo> getJobRunning()

      Get the list of currently running jobs
      Returns:
        a `Collection` of `JobInfo`'s

    - #### getAllJobs

          public Collection<JobInfo> getAllJobs()

      get all jobs (currently running and completed)
      Returns:
        a `Collection` of `JobInfo`'s

    - #### getInfo

          public JobInfo getInfo​(String jobId)